--- old/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
+++ new/usr/src/cmd/hwdata/usb.ids	Thu Sep  4 21:12:21 2014
@@ -10531,12 +10948,16 @@
 	1779  My Cinema U3100 Mini Plus [AF9035A]
 	1784  USB-N13 802.11n Network Adapter (rev. A1) [Ralink RT3072]
 	1786  USB-N10 802.11n Network Adapter [Realtek RTL8188SU]
+	1788  BT-270 Bluetooth Adapter
 	1791  WL-167G v3 802.11n Adapter [Realtek RTL8188SU]
 	179d  USB-N53 802.11abgn Network Adapter [Ralink RT3572]
 	179e  Eee Note EA800 (network mode)
 	179f  Eee Note EA800 (tablet mode)
+	17a0  Xonar U3 sound card
 	17a1  Eee Note EA800 (mass storage mode)
 	17ab  USB-N13 802.11n Network Adapter (rev. B1) [Realtek RTL8192CU]
+	17c7  WL-330NUL
+	17c9  USB-AC53 802.11a/b/g/n/ac Wireless Adapter [Broadcom BCM43526]
 	4c80  Transformer Pad TF300TG
 	4c90  Transformer Pad Infinity TF700
 	4c91  Transformer Pad Infinity TF700 (Debug mode)
@@ -10543,6 +10964,9 @@
 	4d00  Transformer Prime TF201
 	4d01  Transformer Prime TF201 (debug mode)
 	4daf  Transformer Pad Infinity TF700 (Fastboot)
+	5410  MeMO Pad HD 7 (MTP mode)
+	5412  MeMO Pad HD 7 (PTP mode)
+	550f  ASUS fonepad 7
 	6101  Cable Modem
 	620a  Remote NDIS Device
 	b700  Broadcom Bluetooth 2.1
@@ -10557,8 +10981,13 @@
 0b0d  ProjectLab
 	0000  CenturyCD
 0b0e  GN Netcom
+	034c  Jabra UC Voice 750 MS
+	0420  Jabra SPEAK 510
+	094d  GN Netcom / Jabra REVO Wireless
 	1022  Jabra PRO 9450, Type 9400BS (DECT Headset)
+	2007  GN 2000 Stereo Corded Headset
 	620c  Jabra BT620s
+	9330  Jabra GN9330 Headset
 0b0f  AVID Technology
 0b10  Pcally
 0b11  I Tech Solutions Co., Ltd
@@ -10577,6 +11006,7 @@
 	0006  SM Media-Shuttle Card Reader
 0b33  Contour Design, Inc.
 	0020  ShuttleXpress
+	0700  RollerMouse Pro
 0b37  Hitachi ULSI Systems Co., Ltd
 0b38  Gear Head
 	0003  Keyboard
@@ -10632,6 +11062,8 @@
 	300c  TT-connect T-3650 CI
 	300d  TT-connect CT-3650 CI
 	300e  TT-connect C-2400
+	3012  TT-connect CT2-4650 CI
+	3014  TT-TVStick CT2-4400
 0b49  ASCII Corp.
 	064f  Trance Vibrator
 0b4b  Pine Corp. Ltd.
@@ -10660,6 +11092,10 @@
 0b63  ADLink Technology, Inc.
 0b64  Wonderful Wire Cable Co., Ltd
 0b65  Expert Magnetics Corp.
+0b66  Cybiko Inc.
+	0041  Xtreme
+0b67  Fairbanks Scales
+	555e  SCB-R9000
 0b69  CacheVision
 0b6a  Maxim Integrated Products
 	a132  WUP-005 [Nintendo Wii U Pro Controller]
@@ -10705,6 +11141,7 @@
 0b95  ASIX Electronics Corp.
 	1720  10/100 Ethernet
 	1780  AX88178
+	1790  AX88179 Gigabit Ethernet
 	7720  AX88772
 	772a  AX88772A Fast Ethernet
 	772b  AX88772B
@@ -10738,6 +11175,7 @@
 	0118  U5 802.11g Adapter
 	011b  Wireless MAXg Adapter [Broadcom 4320]
 	0121  USR5423 802.11bg Wireless Adapter [ZyDAS ZD1211B]
+	0303  USR5637 56K Faxmodem
 	6112  FaxModem Model 5633
 0bb0  Concord Camera Corp.
 	0100  Sound Vision Stream
@@ -10829,7 +11267,7 @@
 	0a4d  PocketPC Sync
 	0a4e  PocketPC Sync
 	0a4f  PocketPC Sync
-	0a50  HTC SmartPhone Sync
+	0a50  SmartPhone (MTP)
 	0a51  SPV C400 / T-Mobile SDA GSM/GPRS Pocket PC
 	0a52  SmartPhone Sync
 	0a53  SmartPhone Sync
@@ -10920,6 +11358,7 @@
 	0bce  Vario MDA
 	0c01  Dream / ADP1 / G1 / Magic / Tattoo
 	0c02  Dream / ADP1 / G1 / Magic / Tattoo (Debug)
+	0c03  Android Phone [Fairphone First Edition (FP1)]
 	0c13  Diamond
 	0c1f  Sony Ericsson XPERIA X1
 	0c5f  Snap
@@ -10933,6 +11372,8 @@
 	0c9e  Incredible
 	0ca2  Desire HD (debug mode)
 	0ca5  Android Phone [Evo Shift 4G]
+	0cae  T-Mobile MyTouch 4G Slide [Doubleshot]
+	0dea  M7_UL [HTC One]
 	0ff8  Desire HD (Tethering Mode)
 	0ff9  Desire / Desire HD / Hero / Thunderbolt (Charge Mode)
 	0ffe  Desire HD (modem mode)
@@ -10952,18 +11393,30 @@
 	0502  ST3300601CB-RK 300 GB External Hard Drive
 	0503  ST3250824A [Barracuda 7200.9]
 	2000  Storage Adapter V3 (TPP)
+	2100  FreeAgent Go
 	2200  FreeAgent Go FW
 	2300  Expansion Portable
 	2320  USB 3.0 bridge [Portable Expansion Drive]
+	3008  FreeAgent Desk 1TB
+	3101  FreeAgent XTreme 640GB
+	3312  SRD00F2 Expansion Desktop Drive (STBV)
 	3320  SRD00F2 [Expansion Desktop Drive]
 	3332  Expansion
+	5020  FreeAgent GoFlex
 	5021  FreeAgent GoFlex USB 2.0
+	5030  FreeAgent GoFlex Upgrade Cable STAE104
 	5031  FreeAgent GoFlex USB 3.0
+	5070  FreeAgent GoFlex Desk
+	5071  FreeAgent GoFlex Desk
 	50a1  FreeAgent GoFlex Desk
 	50a5  FreeAgent GoFlex Desk USB 3.0
 	5121  FreeAgent GoFlex
 	5161  FreeAgent GoFlex dock
 	a003  Backup Plus
+	a0a1  Backup Plus Desktop
+	a0a4  Backup Plus Desktop Drive
+	ab00  Slim Portable Drive
+	ab20  Backup Plus Portable Drive
 0bc3  IPWireless, Inc.
 	0001  UMTS-TDD (TD-CDMA) modem
 0bc4  Microcube Corp.
@@ -11020,11 +11473,15 @@
 	0171  Mass Storage Device
 	0176  Mass Storage Device
 	0178  Mass Storage Device
+	0179  RTL8188ETV Wireless LAN 802.11n Network Adapter
 	0184  RTS5182 Card Reader
 	0186  Card Reader
+	0301  multicard reader
+	1724  RTL8723AU 802.11n WLAN Adapter
 	2831  RTL2831U DVB-T
 	2832  RTL2832U DVB-T
 	2838  RTL2838 DVB-T
+	5730  HP 2.0MP High Definition Webcam
 	8150  RTL8150 Fast Ethernet Adapter
 	8151  RTL8151 Adapteon Business Mobile Networks BV
 	8171  RTL8188SU 802.11n WLAN Adapter
@@ -11032,6 +11489,7 @@
 	8174  RTL8192SU 802.11n WLAN Adapter
 	8176  RTL8188CUS 802.11n WLAN Adapter
 	8178  RTL8192CU 802.11n WLAN Adapter
+	8179  RTL8188EUS 802.11n Wireless Network Adapter
 	817f  RTL8188RU 802.11n WLAN Adapter
 	8187  RTL8187 Wireless Adapter
 	8189  RTL8187B Wireless 802.11g 54Mbps Network Adapter
@@ -11040,6 +11498,7 @@
 	8197  RTL8187B Wireless Adapter
 	8198  RTL8187B Wireless Adapter
 	8199  RTL8187SU 802.11g WLAN Adapter
+	8812  RTL8812AU 802.11a/b/g/n/ac WLAN Adapter
 0bdb  Ericsson Business Mobile Networks BV
 	1000  BV Bluetooth Device
 	1002  Bluetooth Device 1.2
@@ -11084,6 +11543,7 @@
 	1009  Connect2Air E-5400 D1700 802.11g Wireless Adapter [Intersil ISL3887]
 	100c  Keyboard FSC KBPC PX
 	100f  miniCard D2301 802.11bg Wireless Module [SiS 163U]
+	1017  Keyboard KB SCR
 0bfd  Kvaser AB
 	0004  USBcan II
 	000b  Leaf Light HS
@@ -11149,7 +11609,7 @@
 	0012  Bluetooth Device(BC04-External)
 	0018  Bluetooth Device(BC04-External)
 	0019  Bluetooth Device
-	0021  Bluetooth Device
+	0021  Bluetooth Device (V2.1+EDR)
 	0c24  Bluetooth Device(SAMPLE)
 	ffff  Bluetooth module with BlueCore in DFU mode
 0c25  Sampo Corp.
@@ -11160,7 +11620,7 @@
 	3bfa  pcProx Card Reader
 0c2e  Metrologic Instruments
 	0007  Metrologic MS7120 Barcode Scanner (IBM SurePOS mode)
-	0200  Metrologic Scanner
+	0200  MS7120 Barcode Scanner
 	0204  Metrologic MS7120 Barcode Scanner (keyboard mode)
 	0206  Metrologic MS4980 Barcode Scanner
 	0700  Metrologic MS7120 Barcode Scanner (uni-directional serial mode)
@@ -11184,6 +11644,7 @@
 	41d9  i1 phone
 0c45  Microdia
 	0011  EBUDDY
+	0520  MaxTrack Wireless Mouse
 	1018  Compact Flash storage memory card reader
 	1020  Mass Storage Reader
 	1028  Mass Storage Reader
@@ -11302,7 +11763,10 @@
 	62be  PC Camera with Microphone (SN9C202 + OV7663)
 	62c0  Sonix USB 2.0 Camera
 	62e0  MSI Starcam Racer
+	6300  PC Microscope camera
 	6310  Sonix USB 2.0 Camera
+	6340  Camera
+	6341  Defender G-Lens 2577 HD720p Camera
 	63e0  Sonix Integrated Webcam
 	63f1  Integrated Webcam
 	63f8  Sonix Integrated Webcam
@@ -11309,10 +11773,14 @@
 	6409  Webcam
 	6413  Integrated Webcam
 	6417  Integrated Webcam
+	6419  Integrated Webcam
 	641d  1.3 MPixel Integrated Webcam
+	643f  Dell Integrated HD Webcam
+	644d  1.3 MPixel Integrated Webcam
 	6480  Sonix 1.3 MP Laptop Integrated Webcam
 	648b  Integrated Webcam
 	64bd  Sony Visual Communication Camera
+	7401  TEMPer Temperature Sensor
 	7402  TEMPerHUM Temperature & Humidity Sensor
 	7403  Foot Switch
 	8000  DC31VC
@@ -11540,6 +12008,7 @@
 	00a5  Cinergy Hybrid Stick
 	00a9  RTL2838 DVB-T COFDM Demodulator [TerraTec Cinergy T Stick Black]
 	00b3  NOXON DAB/DAB+ Stick
+	00e0  NOXON DAB/DAB+ Stick V2
 	10a7  TerraTec G3
 0cd4  Bang Olufsen
 	0101  BeolinkPC2
@@ -11576,8 +12045,22 @@
 	0027  Sphairon Homelink 1202 802.11n Wireless Adapter [Atheros AR9170]
 0ce5  Validation Technologies International
 	0003  Matrix
-0ce9  pico Technology
+0ce9  Pico Technology
 	1001  PicoScope3000 series PC Oscilloscope
+	1007  PicoScope 2000 series PC Oscilloscope
+	1008  PicoScope 5000 series PC Oscilloscope
+	1009  PicoScope 4000 series PC Oscilloscope
+	100e  PicoScope 6000 series PC Oscilloscope
+	1012  PicoScope 3000A series PC Oscilloscope
+	1016  PicoScope 2000A series PC Oscilloscope
+	1018  PicoScope 4000A series PC Oscilloscope
+	1200  PicoScope 2000 series PC Oscilloscope
+	1201  PicoScope 3000 series PC Oscilloscope
+	1202  PicoScope 4000 series PC Oscilloscope
+	1203  PicoScope 5000 series PC Oscilloscope
+	1204  PicoScope 6000 series PC Oscilloscope
+	1211  PicoScope 3000 series PC Oscilloscope
+	1212  PicoScope 4000 series PC Oscilloscope
 0cf1  e-Conn Electronic Co., Ltd
 0cf2  ENE Technology, Inc.
 	6220  SD Card Reader (SG361)
@@ -11591,15 +12074,16 @@
 	0005  AR5523
 	0006  AR5523 (no firmware)
 	1001  Thomson TG121N [Atheros AR9001U-(2)NG]
-	1002  TP-Link TL-WN821N v2 802.11n [Atheros AR9170]
+	1002  TP-Link TL-WN821N v2 / TL-WN822N v1 802.11n [Atheros AR9170]
 	1006  TP-Link TL-WN322G v3 / TL-WN422G v2 802.11g [Atheros AR9271]
 	1010  3Com 3CRUSBN275 802.11abgn Wireless Adapter [Atheros AR9170]
 	20ff  AR7010 (no firmware)
 	3000  AR3011 Bluetooth (no firmware)
 	3002  AR3011 Bluetooth
+	3004  AR3012 Bluetooth 4.0
 	3005  AR3011 Bluetooth
 	3008  Bluetooth (AR3011)
-	7015  TP-Link TL-WN821N v3 802.11n [Atheros AR7010+AR9287]
+	7015  TP-Link TL-WN821N v3 / TL-WN822N v2 802.11n [Atheros AR7010+AR9287]
 	9170  AR9170 802.11n
 	9271  AR9271 802.11n
 	b002  Ubiquiti WiFiStation 802.11n [Atheros AR9271]
@@ -11655,9 +12139,13 @@
 0d34  Rearden Steel Technologies
 0d35  Dah Kun Co., Ltd
 0d3a  Posiflex Technologies, Inc.
+	0206  Series 3xxx Cash Drawer
+	0207  Series 3xxx Cash Drawer
+	0500  Magnetic Stripe Reader
 0d3c  Sri Cable Technology, Ltd
 0d3d  Tangtop Technology Co., Ltd
 	0001  HID Keyboard
+	0040  PS/2 Adapter
 0d3e  Fitcom, inc.
 0d3f  MTS Systems Corp.
 0d40  Ascor, Inc.
@@ -11684,6 +12172,7 @@
 	7000  OneTouch
 	7010  OneTouch
 	7100  OneTouch II 300GB External Hard Disk
+	7310  OneTouch 4
 	7410  Mobile Hard Disk Drive (1TB)
 	7450  Basics Portable USB Device
 0d4a  NF Corp.
@@ -11697,6 +12186,7 @@
 0d4f  EADS Airbus France
 0d50  Cleware GmbH
 	0011  USB-Temp2 Thermometer
+	0040  F4 foot switch
 0d51  Volex (Asia) Pte., Ltd
 0d53  HMI Co., Ltd
 0d54  Holon Corp.
@@ -11752,6 +12242,7 @@
 0d77  Power Sentry/Newpoint
 0d78  Japan Distributor Corp.
 0d7a  MARX Datentechnik GmbH
+	0001  CrypToken
 0d7b  Wellco Technology Co., Ltd
 0d7c  Taiwan Line Tek Electronic Co., Ltd
 0d7d  Phison Electronics Corp.
@@ -11897,6 +12388,7 @@
 0db0  Micro Star International
 	1020  PC2PC WLAN Card
 	1967  Bluetooth Dongle
+	3713  Primo 73
 	3801  Motorola Bluetooth 2.1+EDR Device
 	4011  Medion Flash XL V2.0 Card Reader
 	4023  Lexar Mobile Card Reader
@@ -11934,6 +12426,9 @@
 0db4  Chung Fu Chen Yeh Enterprise Corp.
 0db7  ELCON Systemtechnik
 	0002  Goldpfeil P-LAN
+0dba  Digidesign
+	1000  Mbox 1 [Mbox]
+	3000  Mbox 2
 0dbc  A&D Medical
 	0003  AND Serial Cable [AND Smart Cable]
 0dbe  Jiuh Shiuh Precision Industry Co., Ltd
@@ -12058,6 +12553,7 @@
 	005d  WLA-2000 v1.001 WLAN [RTL8191SU]
 	0060  WLA-4000 802.11bgn [Ralink RT3072]
 	0062  WLA-5000 802.11abgn [Ralink RT3572]
+	0072  AX88179 Gigabit Ethernet [Sitecom]
 	061c  LN-028 Network USB 2.0 Adapter
 	21f4  44 St Bluetooth Device
 	2200  Sitecom bluetooth2.0 class 2 dongle CN-512
@@ -12199,6 +12695,8 @@
 	0002  Wrist PDA
 0e6a  Megawin Technology Co., Ltd
 	0101  MA100 [USB-UART Bridge IC]
+	030b  Truly Ergonomic Computer Keyboard (Device Firmware Update mode)
+	030c  Truly Ergonomic Computer Keyboard
 	6001  GEMBIRD Flexible keyboard KB-109F-B-DE
 0e6f  Logic3
 	0003  Freebird wireless Controller
@@ -12215,7 +12713,9 @@
 	1332  5 IMT
 	1416  32 IT
 	1417  A43 IT
+	14ad  97 Titanium HD
 	150e  80 G9
+	3001  40 Titanium
 0e7b  On-Tech Industry Co., Ltd
 0e7e  Gmate, Inc.
 	0001  Yopy 3000 PDA
@@ -12229,10 +12729,12 @@
 	0023  S103
 	1806  Samsung SE-208AB Slim Portable DVD Writer
 	1836  Samsung SE-S084 Super WriteMaster Slim External DVD writer
+	2000  MT65xx Preloader
 	3329  Qstarz BT-Q1000XT
+	763e  MT7630e Bluetooth Adapter
 0e8f  GreenAsia Inc.
 	0003  MaxFire Blaze2
-	0012  USB Wireless 2.4GHz Gamepad
+	0012  Joystick/Gamepad
 	0016  4 port USB 1.1 hub UH-174
 	0020  USB to PS/2 Adapter
 	0021  Multimedia Keyboard Controller
@@ -12277,7 +12779,10 @@
 0eb3  Saint Technology Corp.
 0eb7  Endor AG
 0eb8  Mettler Toledo
+	2200  Ariva Scale
 	f000  PS60 Scale
+0ebb  Thermo Fisher Scientific
+	0002  FT-IR Spectrometer
 0ebe  VWeb Corp.
 0ebf  Omega Technology of Taiwan, Inc.
 0ec0  LHI Technology (China) Co., Ltd
@@ -12318,6 +12823,8 @@
 0eef  D-WAV Scientific Co., Ltd
 	0001  eGalax TouchScreen
 	0002  Touchscreen Controller(Professional)
+	7200  Touchscreen Controller
+	a802  eGalaxTouch EXC7920
 0ef0  Hitachi Cable, Ltd
 0ef1  Aichi Micro Intelligent Corp.
 0ef2  I/O Magic Corp.
@@ -12355,6 +12862,8 @@
 	2040  Machine Test System
 0f12  Mars Engineering Corp.
 0f13  Acetek Technology Co., Ltd
+0f14  Ingenico
+	0012  Vital'Act 3S
 0f18  Finger Lakes Instrumentation
 	0002  CCD
 	0006  Focuser
@@ -12383,6 +12892,8 @@
 0f32  YFC-BonEagle Electric Co., Ltd
 0f37  Kokuyo Co., Ltd
 0f38  Nien-Yi Industrial Corp.
+0f39  TG3 Electronics
+	0876  Keyboard [87 Francium Pro]
 0f3d  Airprime, Incorporated
 	0112  CDMA 1xEVDO PC Card, PC 5220
 0f41  RDC Semiconductor Co., Ltd
@@ -12400,6 +12911,7 @@
 0f52  Wing Key Electrical Co., Ltd
 0f53  Dongguan White Horse Cable Factory, Ltd
 0f54  Kawai Musical Instruments Mfg. Co., Ltd
+	0101  MP6 Stage Piano
 0f55  AmbiCom, Inc.
 0f5c  Prairiecomm, Inc.
 0f5d  NewAge International, LLC
@@ -12411,6 +12923,7 @@
 	1001  Targus Mini Trackball Optical Mouse
 0f63  LeapFrog Enterprises
 	0010  Leapster Explorer
+	0022  Leap Reader
 	0500  Fly Fusion
 	0600  Leap Port Turbo
 	0700  POGO
@@ -12440,6 +12953,7 @@
 	0403  NDS Capture
 	0404  NDS Emulator (Lite)
 0f73  DFI
+0f78  Guntermann & Drunck GmbH
 0f7c  DQ Technology, Inc.
 0f7d  NetBotz, Inc.
 0f7e  Fluke Corp.
@@ -12485,7 +12999,7 @@
 	0006  Blackberry Pearl
 	0008  Blackberry Pearl
 	8001  Blackberry Handheld
-	8004  Blackberry Handheld
+	8004  Blackberry
 	8007  Blackberry Handheld
 	8010  Blackberry Playbook (Connect to Windows mode)
 	8011  Blackberry Playbook (Connect to Mac mode)
@@ -12498,6 +13012,7 @@
 	0112  W995 Walkman Phone
 	015a  Xperia Pro [Media Transfer Protocol]
 	0166  Xperia Mini Pro
+	0167  ST15i (Xperia mini)
 	0169  Xperia S
 	0172  Xperia P
 	0177  Xperia Ion [Mass Storage]
@@ -12512,10 +13027,15 @@
 	3137  Xperia X10 mini
 	3138  Xperia X10 mini pro
 	3149  Xperia X8
+	514f  Xperia arc S [Adb-Enable Mode]
+	5169  Xperia S [Adb-Enable Mode]
 	5177  Xperia Ion [Debug Mode]
+	518c  C1605 [Xperia E dual] MTD mode
 	614f  Xperia X12 (debug mode)
 	6166  Xperia Mini Pro
+	618c  C1605 [Xperia E dual] MSC mode
 	715a  Xperia Pro [Tethering]
+	7166  Xperia Mini Pro (Tethering mode)
 	7177  Xperia Ion [Tethering]
 	8004  9000 Phone [Mass Storage]
 	adde  Boot loader
@@ -12563,13 +13083,17 @@
 	e161  Xperia Ray
 	e166  Xperia Mini Pro
 	e167  XPERIA mini
+	f0fa  Liveview micro display MN800 in DFU mode
 0fcf  Dynastream Innovations, Inc.
 	1003  ANT Development Board
-	1004  ANT2USB
+	1004  ANTUSB Stick
 	1006  ANT Development Board
-	1008  Mini stick Suunto
+	1008  ANTUSB2 Stick
+	1009  ANTUSB-m Stick
 0fd0  Tulip Computers B.V.
 0fd1  Giant Electronics Ltd.
+0fd2  Seac Banche
+	0001  RDS 6000
 0fd4  Tenovis GmbH & Co., KG
 0fd5  Direct Access Technology, Inc.
 0fd9  Elgato Systems GmbH
@@ -12584,6 +13108,8 @@
 0fda  Quantec Networks GmbH
 	0100  quanton flight control
 0fdc  Micro Plus
+0fde  Oregon Scientific
+	ca01  WMRS200 weather station
 0fe0  Osterhout Design Group
 	0100  Bluetooth Mouse
 	0101  Bluetooth IMU
@@ -12611,8 +13137,11 @@
 0ff7  CHI SHING Computer Accessories Co., Ltd
 0ffc  Clavia DMI AB
 	0021  Nord Stage 2
+0ffd  EarlySense
+	ff00  OEM
 0fff  Aopen, Inc.
 1000  Speed Tech Corp.
+	153b  TerraTec Electronic GmbH
 1001  Ritronics Components (S) Pte., Ltd
 1003  Sigma Corp.
 	0003  SD14
@@ -12624,11 +13153,22 @@
 	6018  GM360/GD510/GW520/KP501
 	618e  Ally/Optimus One/Vortex (debug mode)
 	618f  Ally/Optimus One
+	61c5  P880 / Charge only
 	61c6  Vortex (msc)
 	61cc  Optimus S
+	61f1  Optimus Android Phone [LG Software mode]
+	61f9  Optimus (Various Models) MTP Mode
 	61fc  Optimus 3
+	61fe  Optimus Android Phone [USB tethering mode]
+	6300  Optimus Android Phone
+	631c  Optimus Android Phone [MTP mode]
+	631d  Optimus Android Phone (Camera/PTP Mode)
+	631e  Optimus Android Phone [Camera/PTP mode]
+	631f  Optimus Android Phone (Charge Mode)
+	6356  Optimus Android Phone [Virtual CD mode]
 	6800  CDMA Modem
 	7000  LG LDP-7024D(LD)USB
+	91c8  P880 / USB tethering
 	a400  Renoir (KC910)
 1005  Apacer Technology, Inc.
 	1001  MP3 Player
@@ -12696,11 +13236,14 @@
 1032  C-One Technology Corp.
 1033  Nucam Corp.
 	0068  3,5'' HDD case MD-231
-1038  Ideazon, Inc.
-	0100  Zboard
+1038  SteelSeries ApS
+	0100  Ideazon Zboard
+	1361  Ideazon Sensei
 1039  devolo AG
 	0824  1866 802.11bg [Texas Instruments TNETW1450]
 	2140  dsl+ 1100 duo
+103a  PSA
+	f000  Actia Evo XS
 103d  Stanton
 	0100  ScratchAmp
 	0101  ScratchAmp
@@ -12747,6 +13290,10 @@
 	0009  RE-BL PlayStation 3 IR-to-Bluetooth converter
 1050  Yubico.com
 	0010  Yubikey
+	0110  Yubikey NEO OTP
+	0111  Yubikey NEO OTP+CCID
+	0200  U2F Gnubby
+	0211  Gnubby
 1053  Immanuel Electronics Co., Ltd
 1054  BMS International Beheer N.V.
 	5004  DSL 7420 Loader
@@ -12760,25 +13307,40 @@
 	0500  hub
 	0702  Passport External HDD
 	0704  Passport External HDD
-	070a  My Passport Essential SE
-	071a  My Passport 1TB
-	0740  My Passport
+	070a  My Passport Essential (WDBAAA), My Passport for Mac (WDBAAB), My Passport Essential SE (WDBABM), My Passport SE for Mac (WDBABW)
+	070b  My Passport Elite (WDBAAC)
+	070c  My Passport Studio (WDBAAE)
+	071a  My Passport Essential (WDBAAA)
+	071d  My Passport Studio (WDBALG)
+	0730  My Passport Essential (WDBACY)
+	0740  My Passport Essential (WDBACY)
+	0741  My Passport Ultra
 	0742  My Passport Essential SE
-	0748  My Passport 1TB USB 3.0
+	0748  My Passport (WDBKXH)
+	0810  My Passport Ultra (WDBZFP)
 	0900  MyBook Essential External HDD
-	0901  MyBook External HDD
+	0901  My Book Essential Edition (Green Ring) (WDG1U)
+	0902  My Book Pro Edition (WDG1T)
 	0903  My Book Premium Edition
-	0910  MyBook Essential External HDD
-	1001  External Hard Disk [Elements]
+	0910  My Book Essential Edition (Green Ring) (WDG1U)
+	1001  Elements Desktop (WDE1U)
 	1003  Elements 1000 GB
-	1010  Elements External HDD
-	1021  Elements 2TB
-	1023  Elements SE
+	1010  Elements Portable (WDBAAR)
+	1021  Elements Desktop (WDBAAU)
+	1023  Elements SE Portable (WDBABV)
+	1048  Elements Portable (WDBU6Y)
+	10a2  Elements SE Portable (WDBPCK)
+	10a8  Elements Portable (WDBUZG)
+	1100  My Book Essential Edition 2.0 (WDH1U)
 	1103  My Book Studio
 	1104  MyBook Mirror Edition External HDD
 	1105  My Book Studio II
-	1123  My Book 3.0
-	1140  My Book Essential USB3.0
+	1110  My Book Essential (WDBAAF), My Book for Mac (WDBAAG)
+	1111  My Book Elite (WDBAAH)
+	1112  My Book Studio (WDBAAJ), My Book Studio LX (WDBACH)
+	1123  My Book 3.0 (WDBABP)
+	1130  My Book Essential (WDBACW)
+	1140  My Book Essential (WDBACW)
 1059  Giesecke & Devrient GmbH
 	000b  StarSign Bio Token 3.0
 105c  Hong Ji Electric Wire & Cable (Dongguan) Co., Ltd
@@ -12868,6 +13430,7 @@
 106f  Money Controls
 	0009  CT10x Coin Transaction
 	000a  CR10x Coin Recycler
+	000c  Xchange
 1076  GCT Semiconductor, Inc.
 	0031  Bluetooth Device
 	0032  Bluetooth Device
@@ -12880,6 +13443,7 @@
 107f  KidzMouse, Inc.
 1082  Shin-Etsukaken Co., Ltd
 1083  Canon Electronics, Inc.
+	161b  DR-2010C Scanner
 	162c  P-150 Scanner
 1084  Pantech Co., Ltd
 108a  Chloride Power Protection
@@ -12888,6 +13452,8 @@
 108e  Lotes Co., Ltd.
 1099  Surface Optics Corp.
 109a  DATASOFT Systems GmbH
+109b  Hisense
+	9118  Medion P4013 Mobile
 109f  eSOL Co., Ltd
 	3163  Trigem Mobile SmartDisplay84
 	3164  Trigem Mobile SmartDisplay121
@@ -12929,6 +13495,9 @@
 	1427  Ethernet
 10bf  SmartHome
 	0001  SmartHome PowerLinc
+10c3  Universal Laser Systems, Inc.
+	00a4  ULS PLS Series Laser Engraver Firmware Loader
+	00a5  ULS Print Support
 10c4  Cygnal Integrated Products, Inc.
 	0002  F32x USBXpress Device
 	0003  CommandIR
@@ -12946,11 +13515,15 @@
 	8460  Sangoma Wanpipe VoiceTime
 	8461  Sangoma U100
 	8477  Balluff RFID Reader
+	8496  SiLabs Cypress FW downloader
+	8497  SiLabs Cypress EVB
 	8605  dilitronics ESoLUX solar lighting controller
 	86bc  C8051F34x AudioDelay [AD-340]
 	8789  C8051F34x Extender & EDID MGR [EMX-DVI]
 	87be  C8051F34x HDMI Audio Extractor [EMX-HD-AUD]
 	8863  C8051F34x Bootloader
+	8897  C8051F38x HDMI Splitter [UHBX]
+	8918  C8051F38x HDMI Audio Extractor [VSA-HA-DP]
 	ea60  CP210x UART Bridge / myAVR mySmartUSB light
 	ea61  CP210x UART Bridge
 	ea70  CP210x UART Bridge
@@ -12963,6 +13536,7 @@
 	1101  MP3 Player
 10cd  Kycon, Inc.
 10ce  Silicon Labs
+	000e  Shinko/Sinfonia CHC-S2145
 	ea6a  MobiData EDGE USB Modem
 10cf  Velleman Components, Inc.
 	2011  R-Engine MPEG2 encoder/decoder
@@ -12976,6 +13550,7 @@
 	0301  CP42 - Communication Processor
 10d4  Man Boon Manufactory, Ltd
 10d5  Uni Class Technology Co., Ltd
+	0004  PS/2 Converter
 	5552  KVM Human Interface Composite Device (Keyboard/Mouse ports)
 	55a2  2Port KVMSwitcher
 10d6  Actions Semiconductor Co., Ltd
@@ -13076,6 +13651,7 @@
 113d  Mapower Electronics Co., Ltd
 1141  V One Multimedia, Pte., Ltd
 1142  CyberScan Technologies, Inc.
+	0709  Cyberview High Speed Scanner
 1145  Japan Radio Company
 	0001  AirH PHONE AH-J3001V/J3002V
 1146  Shimane SANYO Electric Co., Ltd.
@@ -13086,6 +13662,7 @@
 114c  Tinius Olsen Testing Machine Co., Inc.
 114d  Alpha Imaging Technology Corp.
 114f  Wavecom
+	1234  Fastrack Xtend FXT001 Modem
 115b  Salix Technology Co., Ltd.
 1162  Secugen Corp.
 1163  DeLorme Publishing, Inc.
@@ -13149,7 +13726,7 @@
 	6832  MC8780 Device
 	6833  MC8781 Device
 	683a  MC8785 Device
-	683c  MC8790 Device
+	683c  Mobile Broadband 3G/UMTS (MC8790 Device)
 	6850  AirCard 880 Device
 	6851  AirCard 881 Device
 	6852  AirCard 880E Device
@@ -13172,6 +13749,8 @@
 	9008  Gobi 2000 Wireless Modem
 	9009  Gobi 2000 Wireless Modem
 	900a  Gobi 2000 Wireless Modem
+	9055  Gobi 9x15 Multimode 3G/4G LTE Modem (NAT mode)
+	9057  Gobi 9x15 Multimode 3G/4G LTE Modem (IP passthrough mode)
 119a  ZHAN QI Technology Co., Ltd
 119b  ruwido austria GmbH
 	0400  Infrared Keyboard V2.01
@@ -13186,8 +13765,14 @@
 11ac  Nike
 	6565  FuelBand
 11b0  ATECH FLASH TECHNOLOGY
+	6208  PRO-28U
+11be  R&D International NV
+	f0a0  Martin Maxxyz DMX
 11c5  Inmax
 	0521  IMT-0521 Smartcard Reader
+11ca  VeriFone Inc
+	0207  PIN Pad VX 810
+	0220  PIN Pad VX 805
 11db  Topfield Co., Ltd.
 	1000  PVR
 	1100  PVR
@@ -13198,10 +13783,11 @@
 	0004  X75
 	0005  SXG75/EF81
 	0008  UMTS/HSDPA Data Card
+	0101  RCU Connect
 11f6  Prolific
 	2001  Willcom WSIM
 11f7  Alcatel (?)
-	02df  TD10 Mobile phone USB cable
+	02df  Serial cable (v2) for TD-10 Mobile Phone
 1203  TSC Auto ID Technology Co., Ltd
 	0140  TTP-245C
 1209  InterBiometrics
@@ -13215,11 +13801,16 @@
 	524e  RoadMate 1475T
 	5260  Triton Handheld GPS Receiver (300/400/500/1500/2000)
 1210  DigiTech
+	0016  RP500 Guitar Multi-Effects Processor
 	001b  RP155 Guitar Multi-Effects Processor
 	001c  RP255 Guitar Multi-Effects Processor
 121e  Jungsoft Co., Ltd
 	3403  Muzio JM250 Audio Player
 1223  SKYCABLE ENTERPRISE. CO., LTD.
+1228  Datapaq Limited
+	0012  Q18 Data Logger
+	0015  TPaq21/MPaq21 Datalogger
+	584c  XL2 Logger
 1230  Chipidea-Microelectronica, S.A.
 1233  Denver Electronics
 	5677  FUSB200 mp3 player
@@ -13227,12 +13818,42 @@
 	0000  Neural Impulse Actuator Prototype 1.0 [NIA]
 	4321  Human Interface Device
 	ed02  Emotiv EPOC Developer Headset Wireless Dongle
-1235  Novation EMS
-	0001  ReMOTE Audio/XStation
+1235  Focusrite-Novation
+	0001  ReMOTE Audio/XStation First Edition
 	0002  Speedio
-	0003  ReMOTE ZeRO SL
+	0003  RemoteSL + ZeroSL
+	0004  ReMOTE LE
+	0005  XIOSynth [First Edition]
+	0006  XStation
+	0007  XIOSynth
+	0008  ReMOTE SL Compact
+	0009  nIO
+	000a  Nocturn
+	000b  ReMOTE SL MkII
+	000c  ZeRO MkII
+	000e  Launchpad
+	0010  Saffire 6
+	0011  Ultranova
+	0012  Nocturn Keyboard
+	0013  VRM Box
+	0014  VRM Box Audio Class (2-out)
+	0015  Dicer
+	0016  Ultranova
+	0018  Twitch
+	0019  Impulse 25
+	001a  Impulse 49
+	001b  Impulse 61
 	4661  ReMOTE25
+	8000  Scarlett 18i6
+	8002  Scarlett 8i6
 	8006  Focusrite Scarlett 2i2
+	8008  Saffire 6
+	800a  Scarlett 2i4
+	800c  Scarlett 18i20
+	800e  iTrack Solo
+	8010  Forte
+	8012  Scarlett 6i6
+	8014  Scarlett 18i8
 1241  Belkin
 	0504  Wireless Trackball Keyboard
 	1111  Mouse
@@ -13239,7 +13860,7 @@
 	1122  Typhoon Stream Optical Mouse USB+PS/2
 	1155  PS2/USB Browser Combo Mouse
 	1166  MI-2150 Trust Mouse
-	1177  F8E842-DL Mouse
+	1177  Mouse [HT82M21A]
 	1503  Keyboard
 	1603  Keyboard
 	f767  Keyboard
@@ -13257,11 +13878,13 @@
 125f  A-DATA Technology Co., Ltd.
 	312a  Superior S102
 	312b  Superior S102 Pro
+	a22a  DashDrive Elite HE720 500GB
 	a91a  Portable HDD CH91
 	c08a  C008 Flash Drive
 	c81a  Flash drive
 	c93a  4GB Pen Drive
 	c96a  C906 Flash Drive
+	cb10  Dash Drive UV100
 1260  Standard Microsystems Corp.
 	ee22  SMC2862W-G v3 EZ Connect 802.11g Adapter [Intersil ISL3887]
 1264  Covidien Energy-based Devices
@@ -13315,6 +13938,7 @@
 	0130  PDM
 	0150  CMS10GI (Golf)
 1286  Marvell Semiconductor, Inc.
+	00bc  Marvell JTAG Probe
 	1fab  88W8338 [Libertas] 802.11g
 	2001  88W8388 802.11a/b/g WLAN
 	2006  88W8362 802.11n WLAN
@@ -13347,6 +13971,8 @@
 12c4  Autocue Group Ltd
 	0006  Teleprompter Two-button Hand Control (v1)
 	0008  Teleprompter Foot Control (v1)
+12cf  DEXIN
+	0170  Tt eSPORTS BLACK Gaming mouse
 12d1  Huawei Technologies Co., Ltd.
 	1001  E169/E620/E800 HSDPA Modem
 	1003  E220 HSDPA Modem / E230/E270/E870 HSDPA/HSUPA Modem
@@ -13368,18 +13994,27 @@
 	14c3  K5005 Vodafone LTE/UMTS/GSM Modem/Networkcard
 	14c8  K5005 Vodafone LTE/UMTS/GSM MOdem/Networkcard
 	14c9  K3770 3G Modem
+	14cf  K3772
 	14d1  K3770 3G Modem (Mass Storage Mode)
+	14db  E353/E3131
 	14f1  Gobi 3000 HSPA+ Modem
+	14fe  Modem (Mass Storage Mode)
 	1501  Pulse
 	1505  E398 LTE/UMTS/GSM Modem/Networkcard
-	1506  E398 LTE/UMTS/GSM Modem/Networkcard
+	1506  Modem/Networkcard
 	150a  E398 LTE/UMTS/GSM Modem/Networkcard
 	1520  K3765 HSPA
 	1521  K4505 HSPA+
+	155a  R205 Mobile WiFi (CD-ROM mode)
+	1575  K5150 LTE modem
+	15ca  E3131 3G/UMTS/HSPA+ Modem (Mass Storage Mode)
 	1805  AT&T Go Phone U2800A phone
 	1c05  E173s 3G broadband stick (modem on)
 	1c0b  E173s 3G broadband stick (modem off)
+	1c20  R205 Mobile WiFi (Charging)
 	1d50  ET302s TD-SCDMA/TD-HSDPA Mobile Broadband
+	1f01  E353/E3131 (Mass storage mode)
+	1f16  K5150 LTE modem (Mass Storage Mode)
 	380b  WiMAX USB modem(s)
 12d2  LINE TECH INDUSTRIAL CO., LTD.
 12d6  EMS Dr. Thomas Wuensche
@@ -13386,6 +14021,8 @@
 	0444  CPC-USB/ARM7
 	0888  CPC-USB/M16C
 12d7  BETTER WIRE FACTORY CO., LTD.
+12d8  Araneus Information Systems Oy
+	0001  Alea I True Random Number Generator
 12e6  Waldorf Music GmbH
 	0013  Blofeld
 12ef  Tapwave, Inc.
@@ -13400,7 +14037,7 @@
 	0101  Advanced RC Servo Controller
 1307  Transcend Information, Inc.
 	0163  256MB/512MB/1GB Flash Drive
-	0165  2GB/4GB Flash Drive
+	0165  2GB/4GB/8GB Flash Drive
 	0190  Ut190 8 GB Flash Drive with MicroSD reader
 	0310  SD/MicroSD CardReader [hama]
 	0330  63-in-1 Multi-Card Reader/Writer
@@ -13414,6 +14051,21 @@
 	0001  Class 1 Bluetooth Dongle
 1312  ICS Electronics
 1313  ThorLabs
+	0010  LC1 Linear Camera (Jungo)
+	0011  SP1 Spectrometer (Jungo)
+	0012  SP2 Spectrometer (Jungo)
+	0110  LC1 Linear Camera (VISA)
+	0111  SP1 Spectrometer (VISA)
+	0112  SP2 Spectrometer (VISA)
+	8001  TXP-Series Slot (TXP5001, TXP5004)
+	8012  BC106 Camera Beam Profiler
+	8013  WFS10 Wavefront Sensor
+	8017  BC206 Camera Beam Profiler
+	8019  BP2 Multi Slit Beam Profiler
+	8020  PM300 Optical Power Meter
+	8021  PM300E Optical Power and Energy Meter
+	8022  PM320E Optical Power and Energy Meter
+	8030  ER100 Extinction Ratio Meter
 	8070  PM100D
 131d  Natural Point
 	0155  TrackIR 3 Pro Head Tracker
@@ -13450,6 +14102,8 @@
 	2043  Magicolor 2530DL
 	2045  Magicolor 2500W
 	2049  Magicolor 2490MF
+133e  Kemper Digital GmbH
+	0815  Virus TI Desktop
 1342  Mobility
 	0200  EasiDock 200 Hub
 	0201  EasiDock 200 Keyboard and Mouse Port
@@ -13457,6 +14111,10 @@
 	0203  EasiDock 200 Printer Port
 	0204  Ethernet
 	0304  EasiDock Ethernet
+1343  Citizen Systems
+	0003  CX / DNP DS40
+	0004  CX-W / DNP DS80
+	0005  CY / DNP DSRX
 1345  Sino Lite Technology Corp.
 	001c  Xbox Controller Hub
 	6006  Defender Wireless Controller
@@ -13466,6 +14124,8 @@
 	0402  G2CCD2
 	0403  G2/G3CCD-I KAI CCD
 	0404  G2/G3/G4 CCD-F KAF CCD
+	0405  Gx CCD-I CCD
+	0406  Gx CCD-F CCD
 	0410  G1-0400 CCD
 	0411  G1-0800 CCD
 	0412  G1-0300 CCD
@@ -13479,10 +14139,11 @@
 	0004  Touch Panel Controller
 134e  Digby's Bitpile, Inc. DBA D Bit
 1357  P&E Microcomputer Systems
+	0089  OpenSDA - CDC Serial Port
 	0503  USB-ML-12 HCS08/HCS12 Multilink
 	0504  DEMOJM
 1366  SEGGER
-	0101  J-Link ARM
+	0101  J-Link PLUS
 136b  STEC
 1370  Swissbit
 	0323  Swissmemory cirrusWHITE
@@ -13514,10 +14175,14 @@
 	0011  VFS5011 Fingerprint Reader
 	0018  Fingerprint scanner
 	003c  VFS471 Fingerprint Reader
+	003d  VFS491
+	003f  VFS495 Fingerprint Reader
+	0050  Swipe Fingerprint Sensor
 138e  Jungo LTD
 	9000  Raisonance S.A. STM32 ARM evaluation board
 1390  TOMTOM B.V.
 	0001  GO 520 T/GO 630/ONE XL (v9)
+	5454  Blue & Me 2
 1391  IdealTEK, Inc.
 	1000  URTC-1000
 1395  Sennheiser Communications
@@ -13552,12 +14217,15 @@
 	0031  AM10 v1 802.11n [Ralink RT3072]
 	0039  AE1200 802.11bgn Wireless Adapter [Broadcom BCM43235]
 	003a  AE2500 802.11abgn Wireless Adapter [Broadcom BCM43236]
+	003b  AE3000 802.11abgn (3x3) Wireless Adapter [Ralink RT3573]
+	003e  AE6000 802.11a/b/g/n/ac Wireless Adapter [MediaTek MT7610U]
+	003f  WUSB6300 802.11a/b/g/n/ac Wireless Adapter [Realtek RTL8812AU]
 	13b1  WUSB200: Wireless-G Business Network Adapter with Rangebooster
 13b2  Alesis
 	0030  Multimix 8
 13b3  Nippon Dics Co., Ltd.
 13ba  PCPlay
-	0001  König Electronic CMP-KEYPAD12 Numeric Keypad
+	0001  Konig Electronic CMP-KEYPAD12 Numeric Keypad
 	0017  PS/2 Keyboard+Mouse Adapter
 	0018  Barcode PCP-BCG4209
 13be  Ricoh Printing Systems, Ltd.
@@ -13613,11 +14281,15 @@
 	3306  Mediao 802.11n WLAN [Realtek RTL8191SU]
 	3315  Bluetooth module
 	3375  Atheros AR3012 Bluetooth 4.0 Adapter
+	3392  Azurewave 43228+20702
+	3394  Bluetooth
 	5070  Webcam
 	5111  Integrated Webcam
 	5115  Integrated Webcam
 	5116  Integrated Webcam
+	5122  2M Integrated Webcam
 	5126  PC Cam
+	5130  Integrated Webcam
 	5702  UVC VGA Webcam
 	5710  UVC VGA Webcam
 	5716  UVC VGA Webcam
@@ -13639,10 +14311,13 @@
 13fd  Initio Corporation
 	0840  INIC-1618L SATA
 	0841  Samsung SE-T084M DVD-RW
+	1040  INIC-1511L PATA Bridge
 	1340  Hi-Speed USB to SATA Bridge
 	160f  RocketFish SATA Bridge [INIC-1611]
 	1640  INIC-1610L SATA Bridge
+	1669  INIC-1609PN
 	1840  INIC-1608 SATA bridge
+	1e40  INIC-1610P SATA bridge
 13fe  Kingston Technology Company Inc.
 	1a00  512MB/1GB Flash Drive
 	1a23  512MB Flash Drive
